What version of OMPI are you using?

On Jun 17, 2013, at 10:50 AM, Haroogan <haroogan@gmail.com> wrote:

Hello,

I'm trying to build OpenMPI with CMake under MinGW-w64 based on GCC 4.8.0 (POSIX Threads), and here is what I get:

In file included from ../opal/threads/mutex_windows.h:36:0,
                 from ../opal/threads/mutex.h:121,
                 from ../opal/event/event.h:161,
                 from ../opal/event/log.c:60:
../opal/include/opal/sys/atomic.h:577:2: error: #error Atomic arithmetic on pointers not supported
 #error Atomic arithmetic on pointers not supported
  ^
ninja: build stopped: subcommand failed.

Any ideas?
_______________________________________________
users mailing list
users@open-mpi.org
http://www.open-mpi.org/mailman/listinfo.cgi/users